@use 'styles/navigation-tabs.variables' as *;

:host {
	@include digi-navigation-tabs--variables;
}

.digi-navigation-tabs__tablist {
	display: flex;

	:host & {
		border-bottom: var(--digi--navigation-tabs--divider);
	}
}

.digi-navigation-tabs__tab {
	:host & {
		color: var(--digi--navigation-tabs--color);
		font-family: var(--digi--global--typography--font-family--default);
		text-align: center;
		font-weight: var(--digi--typography--label--font-weight--desktop);
		padding: var(--digi--navigation-tabs--padding);

		background-color: var(--digi--navigation-tabs--tab--background-color);
		border: var(--digi--navigation-tabs--tab--border);

		&[aria-selected] {
			box-shadow: var(--digi--navigation-tabs--box-shadow--selected);
		}

		&:hover,
		&:focus {
			--digi--navigation-tabs--tab--background-color: var(--digi--navigation-tabs--background-color--indicator);
		}
	}
}
